package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * 生成pdf文件对象
 */
public class CreatePdfDto {

    @ApiModelProperty(name = "所有试卷")
    private List<PdfDto> paperPdfList = new ArrayList<>();
    @ApiModelProperty(name = "所有题卡")
    private List<PdfDto> cardPdfList = new ArrayList<>();
    @ApiModelProperty(name = "备份试卷")
    private List<PdfDto> backupPaperPdfList = new ArrayList<>();
    @ApiModelProperty(name = "备份题卡")
    private List<PdfDto> backupCardPdfList = new ArrayList<>();
    @ApiModelProperty(name = "临时文件")
    private List<File> fileTempList = new ArrayList<>();

    public List<PdfDto> getPaperPdfList() {
        return paperPdfList;
    }

    public void setPaperPdfList(List<PdfDto> paperPdfList) {
        this.paperPdfList = paperPdfList;
    }

    public List<PdfDto> getCardPdfList() {
        return cardPdfList;
    }

    public void setCardPdfList(List<PdfDto> cardPdfList) {
        this.cardPdfList = cardPdfList;
    }

    public List<PdfDto> getBackupPaperPdfList() {
        return backupPaperPdfList;
    }

    public void setBackupPaperPdfList(List<PdfDto> backupPaperPdfList) {
        this.backupPaperPdfList = backupPaperPdfList;
    }

    public List<PdfDto> getBackupCardPdfList() {
        return backupCardPdfList;
    }

    public void setBackupCardPdfList(List<PdfDto> backupCardPdfList) {
        this.backupCardPdfList = backupCardPdfList;
    }

    public List<File> getFileTempList() {
        return fileTempList;
    }

    public void setFileTempList(List<File> fileTempList) {
        this.fileTempList = fileTempList;
    }
}
